Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Path Parameters

addressId
string<uuid>
required

The ID of the address to work with.

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

format
enum<string>

The format to return the addresses in.

Available options:
iso20022

Response

200 - application/json

OK

id
string<uuid>
required

The ID of the address.

type
string
required

The address type.

Example:

"office"

addressLine1
string
required

The first line of the address.

Required string length: 1 - 256
Example:

"Great Building"

city
string
required

The city of the address.

Maximum string length: 256
postcode
string
required

The postal or ZIP code of the address.

Maximum string length: 50
Example:

"SE13UB"

country
string
required

The country of the address.

Maximum string length: 256
Example:

"England"

nickName
string | null

The nickname of the address.

Maximum string length: 256
Example:

"office"

addressLine2
string | null

The second line of the address.

Maximum string length: 256
Example:

"Four Maple Street"

addressLine3
string | null

The third line of the address.

Maximum string length: 256
Example:

"Southwark"

addressContact
string | null

The name of the contact associated with the address.

Maximum string length: 256
Example:

"Brian May"

countryCode
string | null

ISO 3166-1 2 digit country code.

Maximum string length: 2
Example:

"GB"